Get users with positions
curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:13.123Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"userId": "db052330-760d-49da-9df2-485ded4bc5b5",
"name": "Carrie Carter",
"displayName": "Wilbur Kreiger",
"positions": "Customer Group Developer, International Implementation Agent"
}
]
}
}Users
Get users with positions
Retrieves a paginated list of users with their assigned positions
GET
/
v1
/
user
/
personnel
/
users
Get users with positions
curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/auth/v1/user/personnel/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:13.123Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"userId": "db052330-760d-49da-9df2-485ded4bc5b5",
"name": "Carrie Carter",
"displayName": "Wilbur Kreiger",
"positions": "Customer Group Developer, International Implementation Agent"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
Number of items per page
Tenant ID
Example:
"e881a66d-6d5f-43df-86c9-bf7b84f6f1d8"
Search term to filter users or positions by name
Example:
"John Doe"
Group IDs (comma separated)
Example:
"bbcb4ca6-3eb7-42a5-84dc-5c8e5605a8ed, 9315726c-47ef-472f-b070-bd6f1993c68b"
User IDs (comma separated)
Example:
"5bdbea24-3cb8-4033-8f55-4ee9e629b656, 6acabc85-a040-4ea4-b8e5-1825a6135f16"
Field to sort by
Available options:
positions, users Example:
"users"
Sort order
Available options:
asc, desc Was this page helpful?